$(document).ready(function(){
    $("input[type='checkbox']").change(function(){
         //alert('a');
    });

    // $("input[type='checkbox']").change(function(){
    //     if ($(this).is(':checked')){
    //         var seen = {};
    //         $('table tr td:nth-child(2)').each(function() {
    //             var txt = $(this).text();
    //             if (seen[txt]){
                   
    //                 $(this).css("background-color", "red");
    //                 $(this).closest('tr').not(this).css("background-color", "red").find('input:checkbox').prop('disabled',true);
    //                 //$(this).closest('tr').not(this).css("background-color", "red").find('td:first').html("");
    //             }else{
    //                 seen[txt] = true;
    //             }
    //         });
    //     }else{
    //         var seen = {};
    //         $('table tr td:nth-child(2)').each(function() {
    //             var txt = $(this).text();
    //             if (seen[txt]){
    //                $(this).css("background-color", "");
    //                $(this).closest('tr').not(this).css("background-color", "").find('input:checkbox').prop('disabled',false);
    //                //$(this).closest('tr').not(this).css("background-color", "").find('td:first').css("background-color", "black");
    //             }else{
    //                 seen[txt] = true;
    //             }
    //         });
    //     }
    // });
    
    $('#contactlist').on('click','input:checkbox',function(){
            var that = $(this),
                thatRow = that.closest('tr'),
                id = that.parent().next('td:nth-child(2)').text();
            
            if (that.is(':checked')){
                that
                    .closest('#contactlist')
                    .find('tr td:nth-child(2)')
                    .each(
                        function(){
                            if ($(this).text() == id){
                                $(this)
                                    .closest('tr')
                                    .not(thatRow)
                                    .css("background-color", "red")
                                    .find('input:checkbox')
                                    .prop('disabled',true);
                            }
                        });
            }
            else {
                that
                    .closest('#contactlist')
                    .find('tr td:nth-child(2)')
                    .each(
                        function(){
                            if ($(this).text() == id){
                                $(this)
                                    .closest('tr')
                                    .not(thatRow)
                                    .css("background-color", "")
                                    .find('input:checkbox')
                                    .prop('disabled',false);
                            }
                        });
            }
    });
    // $('table').on('click','input:checkbox',function(){
    //         var that = $(this),
    //             thatRow = that.closest('tr'),
    //             id = that.parent().next('td').text();
            
    //         if (that.is(':checked')){
    //             that
    //                 .closest('tbody')
    //                 .find('tr td:nth-child(2)')
    //                 .each(
    //                     function(){
    //                         if ($(this).text() == id){
    //                             $(this)
    //                                 .closest('tr')
    //                                 .not(thatRow)
    //                                 .addClass('disabled')
    //                                 .find('input:checkbox')
    //                                 .prop('disabled',true);
    //                         }
    //                     });
    //         }
    //         else {
    //             that
    //                 .closest('tbody')
    //                 .find('tr td:nth-child(2)')
    //                 .each(
    //                     function(){
    //                         if ($(this).text() == id){
    //                             $(this)
    //                                 .closest('tr')
    //                                 .not(thatRow)
    //                                 .removeClass('disabled')
    //                                 .find('input:checkbox')
    //                                 .prop('disabled',false);
    //                         }
    //                     });
    //         }
    // });
});
function updateinviteinevent(id){
    var adult = $("#adult"+id).val();
    var child = $("#child"+id).val();
    var data = "id="+id;
        data += "&adult="+adult;
        data += "&child="+child;
    var c = confirm("Do you want to update ?");
    if (c == true) {
        $.ajax({
            type:'POST',
            url:webpath+'inviteinevent/invite_update',
            data: data,
            dataType: "json",
            success: function (result) {
                //alert(result);
                window.location.reload();
                return false;
            }
        });
        return false;
    } else {
        window.location.reload();
        return false;

    }
    
}
function deleteinviteinevent(id){
    var data = "id="+id;
    var c = confirm("Do you want to delete ?");
    if (c == true) {
        $.ajax({
            type:'POST',
            url:webpath+'inviteinevent/invite_contact_delete',
            data: data,
            dataType: "json",
            success: function (result) {
                window.location.reload();
                return false;
            }
        });
        return false;
    } else {
        window.location.reload();
        return false;

    }
    
}
$(document).ready(function(){
    $(function(){
      $("#contactname").autocomplete({
        source: webpath+'contact/getcontactname' // path to the getcontactname method
      });
    });
});
function detailsfill(name){
    var data = "name="+name;
    $.ajax({
        type:'POST',
        url:webpath+'contact/getcontactdetails',
        data: data,
        dataType: "json",
        success: function (result) {
            if(result['address']!=''){
                $('#address').val(result['address']);
                $('#city').val(result['city']);
                $('#mobile').val(result['mobile']);
                $('#email').val(result['email']);
            }
            return false;
        }
    });
}
// function checkAll() {
//     alert();return false;
//     if($('.check'+catid).prop("checked") == true){
//        $('.catchd'+catid).prop('checked', true);
//     }else if($('.check'+catid).prop("checked")==false){
//         $('.catchd'+catid).prop('checked', false);
//     }
// }

